Bug 862111 - [abrt]: WARNING: at drivers/net/wireless/iwlwifi/iwl-agn-tx.c:1179 iwlagn_rx_reply_tx+0x943/0x980 [iwlwifi]()
[abrt]: WARNING: at drivers/net/wireless/iwlwifi/iwl-agn-tx.c:1179 iwlagn_rx_...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
abrt_hash:aa5e16e50c9c1591d9a865fa103...
:
: 852540 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 18:55 EDT by Paul Lange
Modified: 2012-11-02 11:12 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-02 11:12:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Lange 2012-10-01 18:55:41 EDT
Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        BOOT_IMAGE=/vmlinuz-3.5.4-2.fc17.i686 root=/dev/mapper/vg_laptop-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=vg_laptop/lv_swap SYSFONT=True rd.luks=0 rd.lvm.lv=vg_laptop/lv_root KEYTABLE=de-latin1-nodeadkeys LANG=en_US.UTF-8 rhgb quiet
kernel:         3.5.4-2.fc17.i686

backtrace:
:WARNING: at drivers/net/wireless/iwlwifi/iwl-agn-tx.c:1179 iwlagn_rx_reply_tx+0x943/0x980 [iwlwifi]()
:Hardware name: HP Pavilion dv5 Notebook PC
:Modules linked in: ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc lockd sunrpc bnep bluetooth be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi fuse snd_hda_codec_hdmi ir_lirc_codec lirc_dev snd_hda_codec_idt ir_mce_kbd_decoder uvcvideo snd_hda_intel snd_hda_codec videobuf2_vmalloc videobuf2_memops videobuf2_core videodev ir_sanyo_decoder arc4 ir_sony_decoder ir_jvc_decoder snd_hwdep ir_rc6_decoder snd_seq snd_seq_device snd_pcm vhost_net ir_rc5_decoder media snd_page_alloc snd_timer ir_nec_decoder coretemp rc_rc6_mce snd ene_ir iwlwifi mac80211 tun macvtap r8169 macvlan kvm_intel kvm i2c_i801 microcode cfg80211 soundcore hp_accel hp_wmi sparse_keymap mii
:rc_core lis3lv02d rfkill lpc_ich jmb38x_ms memstick input_polldev uinput binfmt_misc firewire_ohci sdhci_pci sdhci mmc_core firewire_core crc_itu_t nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
:Pid: 2618, comm: plugin-containe Not tainted 3.5.4-2.fc17.i686 #1
:Call Trace:
: [<c0438ff2>] warn_slowpath_common+0x72/0xa0
: [<f7eceab3>] ? iwlagn_rx_reply_tx+0x943/0x980 [iwlwifi]
: [<f7eceab3>] ? iwlagn_rx_reply_tx+0x943/0x980 [iwlwifi]
: [<c0439042>] warn_slowpath_null+0x22/0x30
: [<f7eceab3>] iwlagn_rx_reply_tx+0x943/0x980 [iwlwifi]
: [<f7ee0465>] ? iwl_ucode_callback+0x145/0x1040 [iwlwifi]
: [<f7ed8b82>] iwl_rx_dispatch+0x82/0x100 [iwlwifi]
: [<c066fbfb>] ? list_del+0xb/0x20
: [<f7ee611d>] iwl_irq_tasklet+0x6ad/0xa10 [iwlwifi]
: [<c04416b3>] tasklet_action+0x53/0xb0
: [<c04411f7>] __do_softirq+0x97/0x190
: [<c0441160>] ? local_bh_enable_ip+0x90/0x90
: <IRQ>  [<c044154d>] ? irq_exit+0x9d/0xb0
: [<c0404b1b>] ? do_IRQ+0x4b/0xc0
: [<c0441517>] ? irq_exit+0x67/0xb0
: [<c042143e>] ? smp_apic_timer_interrupt+0x5e/0x90
: [<c094b4f0>] ? common_interrupt+0x30/0x38
: [<c0940000>] ? print_basics+0xa/0x9e
: [<fbff3f6f>] ? t3_mac_update_stats+0x33f/0x630 [cxgb3]
Comment 1 Stanislaw Gruszka 2012-10-05 09:00:56 EDT
*** Bug 852540 has been marked as a duplicate of this bug. ***
Comment 2 Ihor 2012-10-12 12:02:07 EDT
run laptop, qbittorent

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 3 Ihor 2012-10-12 16:00:35 EDT
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa!!! so many time
and inet down, I must reboot everytime...


Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Ihor 2012-10-13 03:02:23 EDT
.......................

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Stanislaw Gruszka 2012-10-13 03:53:34 EDT
You can check if 11n_disable=1 module option help with this problem.
Comment 6 Ihor 2012-10-13 05:23:48 EDT
after set in my wifi adsl router - wifi frequency 2452 Mhz all fine now channel 09.
before been "Auto Channel Select"
Comment 7 Stanislaw Gruszka 2012-10-13 05:37:08 EDT
Could you check which channel is used on Auto mode, by configuring temporally AP to that mode, and providing "iwconfig" command output? Also please provide "lspci -vnn" output, so we will know what exactly hardware do you have.
Comment 8 Ihor 2012-10-13 06:34:36 EDT
channel is used on Auto mode is 01
adsl wifi router:
huawei
Product Name	 HG530
 Software Release	 V100R001B020
 Firmware Release	 3.12.8.12
 Batch Number	 RTC10P0.021.312812
 Release Date	 2011/06/08

Wireless Setting
Channel ID: Ukraine - (Auto or 09)
Authentication Type: openSystem
Beacon Interval: 100
RTS/CTS Threshold: 2347
Fragmentation Threshold: 2346
DTIM: 1
802.11 b/g/n: 802.11 b+g+n
11n Settings
Channel Bandwidth: 20/40Mhz
Guard Interval: Auto
MCS: Auto
SSID Number: 1
SSID Index: 1
Broadcast SSID: yes

iwconfig on Auto Mode
[ihor@emetemunoy ~]$ iwconfig
wlan0     IEEE 802.11abgn  ESSID:"}RooT{"  
          Mode:Managed  Frequency:2.412 GHz  Access Point: 20:F3:A3:F8:6D:8C   
          Bit Rate=30 Mb/s   Tx-Power=15 dBm   
          Retry  long limit:7   RTS thr:off   Fragment thr:off
          Power Management:off
          Link Quality=38/70  Signal level=-72 dBm  
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:288  Invalid misc:0   Missed beacon:0

lo        no wireless extensions.

em2       no wireless extensions.

iwconfig on Manualy 09 channel (after set 09 channel in adsl router(in browser) Fedora show me show me warning iwl-trans.h:607 mac_flush)
[ihor@emetemunoy ~]$ iwconfig
wlan0     IEEE 802.11abgn  ESSID:"}RooT{"  
          Mode:Managed  Frequency:2.452 GHz  Access Point: 20:F3:A3:F8:6D:8C   
          Bit Rate=13.5 Mb/s   Tx-Power=15 dBm   
          Retry  long limit:7   RTS thr:off   Fragment thr:off
          Power Management:off
          Link Quality=32/70  Signal level=-78 dBm  
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:15905  Invalid misc:2820   Missed beacon:0

lo        no wireless extensions.

em2       no wireless extensions.

lspci -vnn
03:00.0 Network controller [0280]: Intel Corporation WiFi Link 5100 [8086:4232]
	Subsystem: Intel Corporation WiFi Link 5100 AGN [8086:1201]
	Flags: bus master, fast devsel, latency 0, IRQ 48
	Memory at fcffe000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlwifi
Comment 9 Stanislaw Gruszka 2012-10-18 07:58:19 EDT
Please check if this kernel fix the problem on AP AutoMode (channel 1):
http://koji.fedoraproject.org/koji/taskinfo?taskID=4602595
Comment 10 Stanislaw Gruszka 2012-10-25 08:14:58 EDT
Patch from test kernel is now committed to fedora kernel 3.6.3:
http://koji.fedoraproject.org/koji/buildinfo?buildID=361634
Does the problem still occurs on that kernel?

Note You need to log in before you can comment on or make changes to this bug.